# Get the update manifest
def update_manifest
  document = Builder::XmlMarkup.new(:indent => 2)
  
  document.updates do |updates|
    updates.comment! "Update manifest: Generated by Builder Script at #{Time.now}"
    updates.update do |u|
      u.name $package['package']['name']
      u.description $package['package']['description']
      u.element "pkg_#{$package['name']}"
      u.type 'package'
      u.version version_name
      u.downloads do |d|
        d.downloadurl({:type => "full" , :format => "zip"}, "#{update_site}/#{package_name}.zip")
      end
      u.tags do |t|
        t.tag 'stable'
      end
      u.infourl $package['package']['info_url'] || "http://www.mrzen.com/travelzen"
      u.maintainer $package['package']['maintainer'] || 'MrZen Ltd'
      u.maintainerurl $package['package']['maintainer_url'] || 'http://www.mrzen.com'
      u.targetplatform({:name => 'joomla', :version => $package['package']['target_version']})
      u.section 'Updates'
      u.client 'administrator'
    end
  end

  document.target!
end
